import { ElementRef, ViewContainerRef, ChangeDetectorRef, ComponentFactoryResolver, EventEmitter, SimpleChanges, OnChanges, OnDestroy } from "@angular/core";
import { AbstractControl, ControlValueAccessor, Validator } from "@angular/forms";
import { IMyOptions, IMyDateModel, IMyCalendarViewChanged, IMyInputFieldChanged } from "./interfaces/index";
import { UtilService } from "./services/ngx-mydatepicker.util.service";
import { NgxMyDatePickerConfig } from "./services/ngx-mydatepicker.config";
export declare class NgxMyDatePickerDirective implements OnChanges, OnDestroy, ControlValueAccessor, Validator {
    private utilService;
    private vcRef;
    private cfr;
    private cdr;
    private elem;
    private config;
    options: IMyOptions;
    defaultMonth: string;
    dateChanged: EventEmitter<IMyDateModel>;
    inputFieldChanged: EventEmitter<IMyInputFieldChanged>;
    calendarViewChanged: EventEmitter<IMyCalendarViewChanged>;
    calendarToggle: EventEmitter<number>;
    private cRef;
    private inputText;
    private preventClose;
    private disabled;
    private opts;
    onChangeCb: (_: any) => void;
    onTouchedCb: () => void;
    constructor(utilService: UtilService, vcRef: ViewContainerRef, cfr: ComponentFactoryResolver, cdr: ChangeDetectorRef, elem: ElementRef, config: NgxMyDatePickerConfig);
    onKeyUp(evt: KeyboardEvent): void;
    onBlur(): void;
    private onClickWrapper;
    onClick(evt: MouseEvent): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    parseOptions(opts: IMyOptions): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    validate(c: AbstractControl): {
        [p: string]: any;
    };
    openCalendar(): void;
    closeCalendar(): void;
    toggleCalendar(): void;
    clearDate(): void;
    isDateValid(): boolean;
    private ignoreKeyPress;
    private closeSelector;
    private updateModel;
    private setInputValue;
    private focusToInput;
    private emitDateChanged;
    private emitInputFieldChanged;
    private emitCalendarChanged;
    private emitCalendarToggle;
    private jsDateToMyDate;
    private appendSelector;
    private getSelectorPosition;
    private getSelectorDimension;
}
